#include <cstdio>
#include <string>

using std::FILE;
using std::string;

extern void AddWriteTask(FILE *fp, const string& data);
extern void UpdateBuffers();
extern void FlushBuffers();

extern const string GetBufferStatus();

/* return true if the time was elapsed properly */
extern bool BufferElapse(double nseconds);

extern bool BufferWaitInput();

/* This is to be defined in main module */
extern void BufferEmptied(FILE *fp);
